Subject: Re: [lojban] lojban application in wearable computing

From: Ted Reed <[email-masked]>
Date: Wed, 13 Mar 2002 18:38:07 -0800

On Wednesday, March 13 2002 10:04 am, Robin Lee Powell wrote:
> On Tue, Mar 12, 2002 at 08:38:07PM -0800, Ted Reed wrote:
> > On Tuesday, March 12 2002 07:31 pm, Robin Lee Powell wrote:
> > >
> > > Uhhh, what?
> > >
> > > What resemblance do you see between lisp and lojban, exactly? At a
> > > first glance, I see a much stronger resemblance to Prolog.
> > >
> > > -Robin
> >
> > I have no experience with lisp or prolog. I'm told that scheme evolved
> > from lisp, so I just tend to lump them together. Sorry.
>
> scheme and lisp can be lumped together for purposes of this discussion.
>
> > Perhaps not lisp, but scheme tends to be organized around predicate
> > syntax and brackets to define things that are more than one word.
>
> Exactly. lojban doesn't use bracketing to define precedence, in
> general. It has a series of sentences which are syntactically
> unrelated.
>
> -Robin

But the presence of elidable terminators does strike a resemblance to using 
brackets for things that are more than one word. (Or parenthesis in the case 
of scheme.)

-- rizen